Soporte » Instalación – Actualizaciones » ERROR GRAVE en actualización automática a WordPress 3.8-alpha

  • Resuelto Nacho C

    (@nacho-c)


    Esta mañana he recibido un email en mi coreo de WordPress que decía:

    ¡Hola! Tu sitio http://www.ojoconlanavidad.com ha sido actualizado automáticamente a WordPress 3.8-alpha-20131026.

    Bien, pues ahora mi portal ha dejado de funcionar.
    No se ha realizado ningún cambio en la web. Ayer funcionaba perfectamente, sin embargo, después de esta «Actualización Automática», todos los enlaces muestran la pagina de portada!!! No es posible acceder a ninguna sección, pagina, categoria, entrada, etc. Todos los enlaces muestran la página de portada (la cual tiene una plantilla personalizada).

    Me parece INTOLERABLE, que WordPress ejecute una actualización Alpha, sin consulta previa, y encima que dicha actualización desarme mi sitio web.

    ¿Han pensado los señores y señoras de WordPress los problemas que pueden ocasionar a miles de usuarios de su plataforma?

    ¿Como vuelvo a la anterior versión de WordPress.org?
    ¿Como deshabilito la actualización automática?
    ¿Que explicación ofrece WordPress sobre esta chapuza de actualización?

Viendo 15 respuestas - 1 de 15 (de 20 total)
  • A mi me ha pasado exactamente lo mismo, me ha destrozado un periódico online que lleva desde anoche sin funcionar y perdiendo miles de visitas.

    Todos los enlaces redirigen al home y no va nada de nada.

    Es muy difícil sin saber más pero… si es problema de redirección…
    Probad a ir a «Ajustes->Enlaces Permanentes» y sin cambiar nada dadle al botón «Guardar cambios»

    No funciona eso maperezotero, ya lo había probado.

    De todas formas yo no quiero estar con una versión alpha, yo quiero la versión que había intentado instalar.

    Son ellos los que se han equivocado al subir el archivo.

    No entiendo como no ofrecen una solución!!!

    Yo NO QUIERO una versión de prueba (alpha, o de desarrollador, como la quieran llamar) para este sitio web.

    ¿Como vuelvo a la versión anterior de WordPress? Ya que la actualización se ha hecho de manera automática hacia una versión beta, no tengo una copia de seguridad reciente.
    ¿Sirve con «sobre-escribir las carpetas del servidor? ¿La base de datos registra cambios con estas actualziaciones?

    Por favor, ¿alguna ayuda o sugerencia?

    Es inaceptable dejar sin servicio el portal por un error de este tipo, y más cuando, como dice Vicentin, son ello quien han modificado el sitio sin previo aviso.

    Auxilio, me encuentro en la misma condición que los compañeros que me preceden. Por favor un parche urgente para solventar este problema.

    Me pasa lo mismo! Warning: Invalid argument supplied for foreach() in /home/istvanag/public_html/wp-includes/class-wp.php on line 266

    Exactamente en la misma situación que vosotros, me parece vergonzoso que WordPress haya instalado automáticamente una versión beta.

    Por no mencionar lo de las actualizaciones automáticas para todos….

    Queremos una solución ¡ya!

    Nacho C, observo que ya resolviste el problema. Por favor, indícanos qué hiciste. Gracias.

    Una solución rápida que funciona es comentar la línea:

    $this->public_query_vars = apply_filters( ‘query_vars’, $public_query_vars );

    La línea es la 261 si queréis ir más rápido en al búsqueda, dentro del fichero class-wp.php dentro de la carpeta wp-include.

    Así por lo menos funciona los post y no sale ningún mensaje de error. Es mucho más rápida esta manera que sustituir todos los ficheros, que supongo que no tardarán en solucionar dicho error.

    Saludos.

    Bueno, me fui por el camino largo y funciona:

    1.- Bajé versión WP 3.7 Esp. y descomprimí.
    2.- Vía FTP hice respaldo en mi PC de todos los archivos de mi sitio web, en especial la carpeta wp-contet.
    3.- Vía FTP reescribí las carpetas wp-admin y wp-includes y demás archivos, excepto la carpeta wp-content y los archivos .htaccess y wp-config.php.
    4.- Ingreso a la cuenta por /wp-admin para verificar que ahora tengo la versión 3.7.
    5.- Todo funciona neuvamente como antier.

    Saludos

    Yo también hice lo mismo y funciona

    hola, no sé cómo se escribe vía ftp. me podrían explicar? de todas maneras, considero que este es un gran error, que ha dejado a muchos «off line» de hecho. Si no saben cómo funciona la nueva versión, ¿cómo la van a mandar a actualizar automáticamente? Es de locos, estoy pensando seriamente en dejar WP. Es el segundo problema que tengo en poco tiempo.

    Tengo el mismo problema, y adicional a este, es que he intentado hacer una copia de respaldo y tampoco pude. Aquí les dejo el enlace de un vídeo que encontré en youtube para los que deseen instalar una versión anterior: http://www.youtube.com/watch?v=X5yvSsFYHZs

    ¿Cómo puedo detener la actualización automática? gracias

    Se ha hecho otra actualización automática y mi sitio volvió a la normalidad.

    Plugin para activar o desactivar actualizaciones automáticas
    Automatic Updater, enlace para que lo descarguen directamente de WP.org

Viendo 15 respuestas - 1 de 15 (de 20 total)
  • El debate ‘ERROR GRAVE en actualización automática a WordPress 3.8-alpha’ está cerrado a nuevas respuestas.